Name:		pymecavideo 
Summary:	Pedagogic tool to analyze video records for mechanics
Version:	6.1
Release:	%mkrel 4
Source:		%{name}-%{version}.tar.gz
URL:		http://outilsphysiques.tuxfamily.org/pmwiki.php/Oppl/Pymecavideo
Group:		Sciences/Physics
Buildrequires:	python-qt4-devel
BuildArch:	noarch
Requires:	python-qt4
Requires:	python-opencv >= 2.1
Requires:	python-matplotlib-qt4
Requires:       ffmpeg
Requires:	vlc
Suggests:       libreoffice-pyuno
Suggests:	gnuplot
License:	GPLv3 

%description
Pedagogic tool to analyze video records for mechanics.
You can track the movement of one or many points in video frames and export
the position measurements to standard analysis tools.

%prep 
%setup -q -n %{name}_%{version}

%build 
pushd src
%make
popd
python setup.py build

%install
%__python setup.py install --root=%{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications 
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
mkdir %{buildroot}%{py_puresitedir}/%{name}/help/
cp data/help/* %{buildroot}%{py_puresitedir}/%{name}/help/

cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/bash
python %{py_puresitedir}/pymecavideo/pymecavideo.py 
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}/%_docdir/HTML/fr/pymecavideo/
cp -r %{buildroot}%{py_puresitedir}/%{name}/help/*.png %{buildroot}/%{_docdir}/HTML/fr/pymecavideo/
cp -r %{buildroot}%{py_puresitedir}/%{name}/help/*.css %{buildroot}/%{_docdir}/HTML/fr/pymecavideo/
cp -r %{buildroot}%{py_puresitedir}/%{name}/help/help-fr.* %{buildroot}/%{_docdir}/HTML/fr/pymecavideo/

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=Tool to analyze video records
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Science;Physics;
EOF

cp data/icones/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%lang(fr) %{_docdir}/HTML/fr/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/%{name}/


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 6.1-4.mga4
+ Revision: 543002
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 6.1-3.mga4
+ Revision: 498051
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 03 2013 ofaurax <ofaurax> 6.1-2.mga4
+ Revision: 474549
- Removed PYTHONDONTWRITEBYTECODE

* Tue Jul 02 2013 dams <dams> 6.1-1.mga4
+ Revision: 449582
- new version 6.1

* Sun Jan 13 2013 umeabot <umeabot> 6.0-2.mga3
+ Revision: 378417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 dams <dams> 6.0-1.mga3
+ Revision: 311414
- new version 6.0
- clean specfile
- add .desktop file
- add icon
- update %%summary and %%description

* Sun Jul 17 2011 ofaurax <ofaurax> 5.4-2.mga2
+ Revision: 125396
- Fixed description in english

* Sat Jul 16 2011 ofaurax <ofaurax> 5.4-1.mga2
+ Revision: 124735
- imported package pymecavideo


* Sat Apr 16 2011 Olivier Faurax <ofaurax@mandriva.org> 5.4-1mdv2011.0
+ Revision: 653864
- New version 5.4

* Mon Nov 22 2010 Funda Wang <fwang@mandriva.org> 5.2-1mdv2011.0
+ Revision: 599632
- should be noarch package

  + Olivier Faurax <ofaurax@mandriva.org>
    - fix spec for new tar.gz hierarchy
    - New version + cleanup of %%files

* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 4.0-3mdv2011.0
+ Revision: 599386
- correct spec file name
- fix for py2.7

* Sat Nov 20 2010 Olivier Faurax <ofaurax@mandriva.org> 4.0-2mdv2011.0
+ Revision: 599266
- rebuild

* Mon Jan 11 2010 Olivier Faurax <ofaurax@mandriva.org> 4.0-1mdv2011.0
+ Revision: 489996
- import pymecavideo


